DNF5-CHECK-UPGRADE(8)

BEZEICHNUNG
dnf5-check-upgrade - Check-Upgrade-Befehl

ÜBERSICHT

dnf5 check-upgrade [Optionen] [Paketangabe-N …]

BESCHREIBUNG

Prüft nicht-interaktiv, ob Aktualisierungen für angegebene Pakete verfügbar sind. Wenn keine Paketangabe-N erfolgt, wird das gesamte System auf Aktualisierungen geprüft.

DNF5 wird mit dem Code 100 beendet, falls Aktualisierungen verfügbar sind und listet diese auf; 0, falls keine Aktualisierungen verfügbar sind.

Wenn ein Terminal verfügbar ist, wird die Paketliste farbig dargestellt. Pakete, die zur Neuinstallation verfügbar sind, werden (standardmäßig) fett grün und Pakete, die zur Aktualisierung verfügbar sind, fett blau hervorgehoben. Dieses Verhalten kann in dnf5.conf(5) über die Optionen color_list_available_upgrade und color_list_available_reinstall angepasst werden.

OPTIONEN

    --changelogs
        gibt die Änderungsprotokolle des Pakets aus.

    --advisories=HINWEISNAME, …
        schließt Inhalte aus Hinweisen mit dem angegebenen Namen ein. Dies ist eine Listenoption. Erwartete Werte sind Hinweis-IDs, z. B. FEDORA-2201-123. Jeder Transaktionsbefehl (Installation, Aktualisierung) schlägt mit einer Fehlermeldung fehl, wenn kein Hinweis in der Liste vorhanden ist. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --advisory-severities=HINWEIS-SCHWEREGRAD, …
        schließt Inhalte aus Hinweisen mit dem angegebenem Schweregrad ein. Dies ist eine Listenoption. Zulässige Werte: critical, important, moderate, low, none.

    --bzs=BUGZILLA_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket der angegebenen Bugzilla-ID korrigieren. Dies ist eine Listenoption. Erwartete Werte sind numerische IDs, zum Beispiel 123123. Jeder Transaktionsbefehl (Installation, Aktualisierung) wird mit einer Fehlermeldung fehlschlagen, falls es keinen Hinweis gibt, der das angegebene Ticket korrigiert. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --cves=CVE_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket mit der angegebenen CVE-ID (Common Vulnerabilities and Exposures) beheben. Dies ist eine Listenoption. Erwartete Werte sind Zeichenketten-IDs im CVE-Format, z.B. CVE-2201-0123. Alle Transaktionsbefehle (Installation, Aktualisierung) schlagen mit einer Fehlermeldung fehl, wenn kein Hinweis zur Korrektur des betreffenden Tickets vorliegt. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --security
        schließt Inhalte ein, die in Sicherheitshinweisen enthalten sind.

    --bugfix
        schließt Inhalte ein, die in Fehlerkorrektur-Hinweisen enthalten sind.

    --enhancement
        schließt Inhalte ein, die in Verbesserungs-Hinweisen enthalten sind.

    --newpackage
        schließt Inhalte ein, die in Neupaket-Hinweisen enthalten sind.

    --minimal
        Meldet die niedrigsten Versionen von Paketen, die Hinweise vom Typ Fehlerkorrektur, Verbesserung, Sicherheit oder Neupaket beheben. Falls eine Option zur Einschränkung von Hinweisen verwendet wird, meldet sie die niedrigsten Versionen von Paketen, die Hinweise beheben, die den ausgewählten Hinweiseigenschaften entsprechen.

    --json
        verwendet das JSON-Format für die Ausgabe.

BEISPIELE

    dnf5 check-upgrade
        Gibt eine Liste der Pakete aus, für die Aktualisierungen verfügbar sind.

    dnf5 check-upgrade --changelogs
        Gibt die Änderungsprotokolle für alle Pakete mit ausstehenden Aktualisierungen aus.

JSON-AUSGABE

dnf5 check-upgrade --json

Dieser Befehl gibt ein JSON-Objekt mit der folgenden Struktur zurück:

    •   Schlüssel, die einen Abschnitt der »schönen« Befehlszeilenausgabe darstellen

    •   Werte, die Pakete in diesem Abschnitt als ein Array von Objekten mit folgender Struktur darstellen:

                •   name (Zeichenkette): Paketname

                •   arch (Zeichenkette): Paketarchitektur

                •   evr (Zeichenkette): verfügbare Aktualisierungsversion

                •   repository (Zeichenkette): ID der Paketquelle, in der die Aktualisierung verfügbar ist

                •   obsoletes (Array): (nur für den Abschnitt »Veraltete Pakete«) Liste der Pakete, die dieses Paket als veraltet markieren und somit ersetzen (sie haben die gleiche Struktur wie oben, jedoch ohne obsoletes).

SIEHE AUCH
        dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).